ros-rolling-launch-pal (0.20.3-2resolute) resolute; urgency=high

  * fix: only shutdown rclpy if initialized locally
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 06 Mar 2026 06:00:00 -0000

ros-rolling-launch-pal (0.20.2-2resolute) resolute; urgency=high

  * Throw when trying to merge a yaml file that does not contain a dict
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 03 Mar 2026 06:00:00 -0000

ros-rolling-launch-pal (0.20.1-2resolute) resolute; urgency=high

  * Fix linters for jazzy
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Jan 2026 06:00:00 -0000

ros-rolling-launch-pal (0.20.0-2resolute) resolute; urgency=high

  * Add LaunchArgument for gazebo_version
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 05 Dec 2025 06:00:00 -0000

ros-rolling-launch-pal (0.19.0-2resolute) resolute; urgency=high

  * Remove ros__parameters from master calibration
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Oct 2025 05:00:00 -0000

ros-rolling-launch-pal (0.18.0-2resolute) resolute; urgency=high

  * added args in common for rviz and gzclient
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Oct 2025 05:00:00 -0000

ros-rolling-launch-pal (0.17.0-2resolute) resolute; urgency=high

  * final mujoco launch arguments
  * added mujoco arguments
  * Contributors: Ortisa Poci

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 04 Sep 2025 05:00:00 -0000

ros-rolling-launch-pal (0.16.0-2resolute) resolute; urgency=high

  * added map name
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 26 Aug 2025 05:00:00 -0000

ros-rolling-launch-pal (0.15.0-2resolute) resolute; urgency=high

  * added stockbot to list of robots name
  * Contributors: martinaannicelli

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Aug 2025 05:00:00 -0000

ros-rolling-launch-pal (0.14.1-2resolute) resolute; urgency=high

  * Fix end-effector ari
  * Contributors: davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 16 Jun 2025 05:00:00 -0000

ros-rolling-launch-pal (0.14.0-2resolute) resolute; urgency=high

  * introduce robot_info_file
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 05 Jun 2025 05:00:00 -0000

ros-rolling-launch-pal (0.13.0-2resolute) resolute; urgency=high

  * introduce IfNodeRunning and UnlessNodeRunning
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 05 Jun 2025 05:00:00 -0000

ros-rolling-launch-pal (0.12.1-2resolute) resolute; urgency=high

  * Added argument for the side an arm is mounted
  * Contributors: oscarmartinez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 09 Apr 2025 05:00:00 -0000

ros-rolling-launch-pal (0.12.0-2resolute) resolute; urgency=high

  * read ROBOT_INFO_PATH env if available
  * fix log color resets
  * linters
  * restore _parse_config and mark as deprecated
  * add filtering to get_pal_configuration
  * use consistent messages is get_pal_configuration
  * rename pal configuration templates to presets
  * rename pal configuration templates to presets
  * Improve logging and variables substitution
  * fix pal configuration logging in case of no arguments specified
  * pal_parameter configuration files support paths splitting also with ;
  * add variables support to pal_parameters
  * use flattened parameter names in pal_parameters
  * add template support; rework test_pal_parameters
  * Contributors: Luka Juricic, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 02 Apr 2025 05:00:00 -0000

ros-rolling-launch-pal (0.11.0-2resolute) resolute; urgency=high

  * Add comments
  * fix ament_pep8 linting
  * add generic string substitution concat
  * Contributors: thomasung

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 04 Feb 2025 06:00:00 -0000

ros-rolling-launch-pal (0.10.0-2resolute) resolute; urgency=high

  * Update wrong return value
  * Apply suggestion after review
  * Apply 1 suggestion(s) to 1 file(s)
  * Add jinja2 dependency
  * Add master calibration implementation
  * Contributors: David ter Kuile, antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 20 Jan 2025 06:00:00 -0000

ros-rolling-launch-pal (0.9.0-2resolute) resolute; urgency=high

  * Merge branch 'abr/feat/docking' into 'master'
    added docking args
    See merge request common/launch_pal!73
  * added docking args
  * Merge branch 'upt/tun/readme' into 'master'
    update robot_arguments readme section
    See merge request common/launch_pal!71
  * remove internal gitlab links
  * fix linting issues
  * update robot_arguments readme section
  * Contributors: antoniobrandi, davidterkuile, thomasung

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Dec 2024 06:00:00 -0000

ros-rolling-launch-pal (0.8.0-2resolute) resolute; urgency=high

  * Suggestions apply
  * Added xacro missing arg warning
  * Removing unnecesary parsing
  * Launch arguments check
  * Xacro args checker
  * Contributors: oscarmartinez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 11 Nov 2024 06:00:00 -0000

ros-rolling-launch-pal (0.7.0-2resolute) resolute; urgency=high

  * update README iwith get_pal_configuration automatic arguments
  * [pal_get_params] ensure we get the default values for nested parameters
  * [get_pal_parm] automatically creates cmdline arguments for node params
    This is controlled by the 'cmdline_args' param of :
    - cmdline_args=True (default): create cmd line arguments for all params
    - cmdline_args=[...]: create cmdline arguments for the listed params
    - cmdline_args=False: do not create cmdline arguments
  * [get_pal_param] show config files from high to lower precedence
    This is a more natural order in practise
  * Contributors: Séverin Lemaignan

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 16 Oct 2024 05:00:00 -0000

ros-rolling-launch-pal (0.6.0-2resolute) resolute; urgency=high

  * Add tool_changer arg
  * Contributors: thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 26 Sep 2024 05:00:00 -0000

ros-rolling-launch-pal (0.5.0-2resolute) resolute; urgency=high

  * add deprecation note to the robot_utils methods
  * Contributors: Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 17 Sep 2024 05:00:00 -0000

ros-rolling-launch-pal (0.4.0-2resolute) resolute; urgency=high

  * add tests for namespace
  * add namespaces option when including launch file
  * Contributors: thomasung

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 05:00:00 -0000

ros-rolling-launch-pal (0.3.0-2resolute) resolute; urgency=high

  * Add talos and kangaroo as robots
  * Contributors: Adria Roig

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Aug 2024 05:00:00 -0000

ros-rolling-launch-pal (0.2.0-2resolute) resolute; urgency=high

  * [test] make sure changing AMENT_PREFIX_PATH does not spill out of the tests
  * PAPS-007: better logging for invalid user configuration files
  * get_pal_parameters: improved logging
    In particular, list all the configuration files found for the node, by order of precedence
  * PAPS-007 - get_pal_parameters: add support for user configuration in ~/.pal/config
    The location of user configuration can be overridden via envvar
    $PAL_USER_PARAMETERS_PATH.
  * Contributors: Séverin Lemaignan

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 05 Aug 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.15-2resolute) resolute; urgency=high

  * Merge branch 'omm/feat/composition_utils' into 'master'
    Composition utils
    See merge request common/launch_pal!38
  * Added package field for extended usability
  * Readme and new type variable name
  * Removing pal_computer_monitor dep
  * Composition utils to generate containers from a yaml files
  * Merge branch 'paps007' into 'master'
    Add implementation of PAPS-007 'get_pal_configuration'
    See merge request common/launch_pal!57
  * add impl of PAPS-007 'get_pal_configuration'
  * Merge branch 'abr/feat/advanced-navigation' into 'master'
    added advanced navigation
    See merge request common/launch_pal!58
  * added advanced navigation
  * Contributors: Noel Jimenez, Oscar, Séverin Lemaignan, antoniobrandi, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 04 Jul 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.14-2resolute) resolute; urgency=high

  * Merge branch 'air/feat/add_slam' into 'master'
    add slam param
    See merge request common/launch_pal!60
  * fix declare slam
  * add slam param
  * Merge branch 'feature/tiago-dual-support' into 'master'
    feat: add robot_name arg to CommonArgs
    See merge request common/launch_pal!59
  * feat: add robot_name to CommonArgs
  * feat: tiago dual support
  * Contributors: Aina, davidterkuile, josegarcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 03 Jul 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.13-2resolute) resolute; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'master'
    Dtk/move robot args
    See merge request common/launch_pal!56
  * Remove robot configurations
  * ArgFactory class to create launch args from yaml
  * Move common args
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.12-2resolute) resolute; urgency=high

  * Update Changelog
  * Merge branch 'tpe/upate_std_and_launch_arg' into 'master'
    update lauch args for the omni base
    See merge request common/launch_pal!55
  * update lauch args for the omni base
  * Contributors: David ter Kuile, davidterkuile, thomas.peyrucain
  * Merge branch 'tpe/upate_std_and_launch_arg' into 'master'
    update lauch args for the omni base
    See merge request common/launch_pal!55
  * update lauch args for the omni base
  * Contributors: davidterkuile, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jun 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.11-2resolute) resolute; urgency=high

  * Merge branch 'feat/aca/find-pkg-share-yaml' into 'master'
    Feat/aca/find pkg share yaml
    See merge request common/launch_pal!54
  * linters
  * linters
  * linters
  * added import, modified explication
  * extend _parse_config functionality
  * Contributors: andreacapodacqua, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 28 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.10-2resolute) resolute; urgency=high

  * Merge branch 'omm/feat/rgdb_sensors_rename' into 'master'
    Proper courier_rgbd_sensor name
    See merge request common/launch_pal!52
  * Proper courier_rgbd_sensor name
  * Contributors: davidterkuile, oscarmartinez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 17 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.9-2resolute) resolute; urgency=high

  * Merge branch 'VKG/fix/screen-parameters' into 'master'
    fixed screen parameters, edited configuration and robot argument files
    See merge request common/launch_pal!51
  * typo fixed
  * fixed screen parameters, edited configuration and robot argument files
  * Contributors: Vamsi GUDA, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.8-2resolute) resolute; urgency=high

  * Merge branch 'omm/common_pos_args' into 'master'
    Robot position args added to common
    See merge request common/launch_pal!50
  * Robot position args added to common
  * Contributors: davidterkuile, oscarmartinez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 15 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.7-2resolute) resolute; urgency=high

  * Merge branch 'dtk/fix/bool-args' into 'master'
    Set all boolean robot args to capital value
    See merge request common/launch_pal!49
  * Set all boolean robot args to capital value
  * Contributors: Noel Jimenez, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 09 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.6-2resolute) resolute; urgency=high

  * added tuck arm parameter
  * Contributors: sergiacosta

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 May 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.5-2resolute) resolute; urgency=high

  * fix tests
  * fix _parse_config to be able to have a variable between text
  * Contributors: Aina Irisarri

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.4-2resolute) resolute; urgency=high

  * Added is_public_sim action check
  * Add wheel model
  * Remove wrong realsense camera arg name
  * Contributors: David ter Kuile, Oscar, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 12 Apr 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.3-2resolute) resolute; urgency=high

  * Changed arm name from sea to tiago-sea for standarization
  * Contributors: Oscar

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.2-2resolute) resolute; urgency=high

  * Avoid breaking tiago pro tests
  * Update realsense name in camera rgument
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Apr 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.1-2resolute) resolute; urgency=high

  * Fix flake test
  * Add sensor manager as common arg
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Mar 2024 05:00:00 -0000

ros-rolling-launch-pal (0.1.0-2resolute) resolute; urgency=high

  * Update default values
  * Remove unsupported lasers for now
  * Change common param to is_public_sim
  * Add extra common launch args
  * Add wrist model for spherical wrist
  * Add tiago pro config
  * Fixed base_type and arm_type
  * Suggested changess
  * Standarized config names
  * Configs for tiago_sea
  * Removed has_screen from tiago_sea
  * Update config to tiago sea specific arguments
  * Fixing tiago_dual_configuration
  * Velodyne param added
  * Tiago sea dual params
  * Tiago sea params
  * Create a class that contains frequently used Launch arguments to avoid mismatching Uppercase/lowercase
  * Contributors: David ter Kuile, Oscar, Oscar Martinez, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 20 Mar 2024 05:00:00 -0000

ros-rolling-launch-pal (0.0.18-2resolute) resolute; urgency=high

  * Remove right-arm option for tiago
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 31 Jan 2024 06:00:00 -0000

ros-rolling-launch-pal (0.0.17-2resolute) resolute; urgency=high

  * tiago_pro robot_name added in the possible choices
  * Contributors: ileniaperrella

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 29 Jan 2024 06:00:00 -0000

ros-rolling-launch-pal (0.0.16-2resolute) resolute; urgency=high

  * removing epick
  * adding robotiq as end effector for tiago dual
  * Adding pal_robotiq grippers as part of choises for the end_effector in ros2
  * Contributors: Aina Irisarri

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Jan 2024 06:00:00 -0000

ros-rolling-launch-pal (0.0.15-2resolute) resolute; urgency=high

  * Add right-arm as arm type for backwards compability
  * Change arm type from right-arm to tiago-arm
  * Remove unecessary whitelines
  * Update README
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 17 Jan 2024 06:00:00 -0000

ros-rolling-launch-pal (0.0.14-2resolute) resolute; urgency=high

  * Update style errors
  * fix typo and add type hint
  * update typo
  * Update configuration file keywords
  * Enable autocomplete for robot arguments
  * Use assertDictEqual in test
  * Type hint and use get_share_directory function
  * update readme
  * Add tests
  * Update include scoped launch for more intuitive use
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 04 Dec 2023 06:00:00 -0000

ros-rolling-launch-pal (0.0.13-2resolute) resolute; urgency=high

  * Remove triple quotes
  * Add docstrings and update README
  * Change yaml file to single quotes
  * change to double quotes to be consistent in robot config yaml
  * Update linting
  * Update tiaog config and add tiago_dual config
  * Add launch arg factory
  * Update linting
  * Add get_configuration function to robotConfig
  * Update tiago configuration
  * Add base dataclass with for launch args
  * update linting
  * Update types
  * loop over value instead of items
  * A bit of documentation
  * Add scoped launch file inclusion
  * Create function to translate setting to launch arg
  * Create initial version of robot configuration
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 29 Nov 2023 06:00:00 -0000

ros-rolling-launch-pal (0.0.12-2resolute) resolute; urgency=high

  * Add website tag
  * added support for omni_base
  * Contributors: Noel Jimenez, andreacapodacqua

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Nov 2023 06:00:00 -0000

ros-rolling-launch-pal (0.0.11-2resolute) resolute; urgency=high

  * Initial ARI support
  * autopep8 line wrapping
  * Contributors: Séverin Lemaignan

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 09 Nov 2023 06:00:00 -0000

ros-rolling-launch-pal (0.0.10-2resolute) resolute; urgency=high

  * Merge branch 'yen/feat/pmb3_robot' into 'master'
    Add pmb3 utils
    See merge request common/launch_pal!18
  * feat: Add pmb3 utils
  * Contributors: YueErro

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 10 Oct 2023 05:00:00 -0000

ros-rolling-launch-pal (0.0.9-2resolute) resolute; urgency=high

  * Remove not supported choices
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 07 Jul 2023 05:00:00 -0000

ros-rolling-launch-pal (0.0.8-2resolute) resolute; urgency=high

  * fix cast when bool equals False
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 05:00:00 -0000

ros-rolling-launch-pal (0.0.7-2resolute) resolute; urgency=high

  * added parse_parametric_yaml utils
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 04 Apr 2023 05:00:00 -0000

ros-rolling-launch-pal (0.0.6-2resolute) resolute; urgency=high

  * Merge branch 'update_copyright' into 'master'
    Update copyright
    See merge request common/launch_pal!6
  * update copyright
  * Merge branch 'update_maintainers' into 'master'
    Update maintainers
    See merge request common/launch_pal!5
  * update maintainers
  * Merge branch 'arg_robot_name' into 'master'
    Add get_robot_name argument to choose default value
    See merge request common/launch_pal!4
  * add get_robot_name arg to choose default value
  * Merge branch 'robot_utils' into 'master'
    Robot utils
    See merge request common/launch_pal!3
  * pal-gripper as default end_effector
  * launch methods for tiago
  * linters
  * rm unused import
  * robot utils for pmb2
  * Merge branch 'fix_slash_warns' into 'master'
    Fix slash warns
    See merge request common/launch_pal!2
  * fix slash warns
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Oct 2022 05:00:00 -0000

ros-rolling-launch-pal (0.0.5-2resolute) resolute; urgency=high

  * Merge branch 'change_include_utils_to_substitutions' into 'master'
    Change Text type to substitutions for include utils
    See merge request common/launch_pal!1
  * change Text type to substitutions
  * Contributors: cescfolch, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Aug 2021 05:00:00 -0000

ros-rolling-launch-pal (0.0.4-2resolute) resolute; urgency=high

  * Linter fixes
  * Add load file substitution
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 21 Jul 2021 05:00:00 -0000

ros-rolling-launch-pal (0.0.3-2resolute) resolute; urgency=high

  * Add arg_utils.py
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 30 Jun 2021 05:00:00 -0000

ros-rolling-launch-pal (0.0.2-2resolute) resolute; urgency=high

  * Added missing dependencies
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 Mar 2021 05:00:00 -0000

ros-rolling-launch-pal (0.0.1-2resolute) resolute; urgency=high

  * Add CONTRIBUTING and LICENSE
  * Apply linter fixes
  * Add param_utils
  * PAL utils for ROS2 launch files
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 Mar 2021 05:00:00 -0000


